$search-icon-size: 12px;
$clear-button-size: 24px;

.gl-listbox-search {
  @include gl-relative;

  .gl-listbox-search-input {
    @include gl-w-full;
    @include gl-line-height-normal;
    @include gl-h-auto;
    @include gl-border-none;
    padding-left: calc(#{$gl-spacing-scale-7} + #{$gl-spacing-scale-2});
    padding-right: calc(#{$gl-spacing-scale-6} + #{$gl-spacing-scale-2});
    @include gl-py-4;
    @include gl-font-base;

    &:focus {
      @include gl-focus($inset: true);
    }

    &::placeholder {
      @include gl-text-gray-400;
    }

    &::-webkit-search-cancel-button {
      @include gl-display-none;
    }
  }

  .gl-listbox-search-icon {
    @include gl-absolute;
    top: calc(50% - #{$search-icon-size} / 2);
    left: $gl-spacing-scale-4;
    @include gl-text-gray-500;
  }

  .gl-listbox-search-clear-button {
    @include gl-absolute;
    top: calc(50% - #{$clear-button-size} / 2);
    right: $gl-spacing-scale-3;
  }
}
